#ifndef _MGA2064_MAIN_H_
#define _MGA2064_MAIN_H_

struct chipset_private
{
	struct common_private cp;

	uint8    interleave;
};

/* textmemory layout of the Millennium I/II framebuffer */

#ifdef DRIVER_mga2064 /* Millennium I */
typedef struct mgatext {
	ushort ca;
	uint8 pad2_7[6];
} mgatext;
#elif DRIVER_mga2164 /* Millennium II */
typedef struct mgatext {
	ushort ca;
	uint8 font1;
	uint8 pad3_9[7];
	uint8 font2;
	uint8 pad11_15[5];
} mgatext;
#else
#warning Unknown chip id, struct mgatext will be undefined!
#endif

#define MGA_INTERLEAVE (private->interleave)

void DAC_out8(struct kgi_display *dpy, uint8 val, uint8 reg);
uint8 DAC_in8(struct kgi_display *dpy, uint8 reg);

#endif /* _MGA2064_MAIN_H_ */
