/*\
|*| ---------------------------------------------------------------------------
|*|	Paradise wd90c3x register definitions
|*| ---------------------------------------------------------------------------
|*|
|*|	Copyright (C) 1997 by Brian S. Julin, <bri@calyx.com>
|*|
|*|	This header is free software; you can redistribute it and/or modify
|*|	it under the terms of the GNU Library General Public License as 
|*|	published by the Free Software Foundation; either version 2, or 
|*|     (at your option) any later version.
|*|
|*|	You should have received a copy of the GNU Library General Public 
|*|     License along with this program; see the file COPYING.LGPL.  
|*|	If not, write to the Free Software Foundation, 675 Mass Ave, 
|*|     Cambridge, MA 02139, USA.
|*| ---------------------------------------------------------------------------
\*/

/* MAINTAINER	Brian S. Julin, <bri@calyx.com> */

#ifndef _wd90c3x_h
#define _wd90c3x_h

#include "wd90c1x.h"  
/* wd90c2x has many differences so not included */
#include "wd_accel.h"  /* wd90c2x and wd90c3x share same accel engine. */


/* New Registers */

#define WD_LOCALBUS   0x2DF0
#define WD_BUS_TIMING 0x2DF1
#define WD_HIBUS_CFG  0x2DF2

/* GRC -- Additional Registers */


/* CRT -- Additional Registers */

       #define CRT_OVERFLOW2 0x3D
               #define CR3D_VTOTAL_B10        0x01
               #define CR3D_VDISPLAYEND_B10   0x02
               #define CR3D_VSYNCSTART_B10    0x04
               #define CR3D_VBLANKSTART_B10   0x08
               #define CR3D_LINECOMPARE_B10   0x10

       #define CRT_OVERFLOW3 0x3E
               #define CR3E_HTOTAL_B8         0x20
               #define CR3E_STARTADDR_B18     0x40
               #define CR3E_2MB_RAM           0x80

#endif /* defined _wd90c3x_h */










