/*
 * 	(c) 1997 Andreas Beck becka@sunserver1.rz.uni-duesseldorf.de
 *
 * ------------------------------------------------------------------------
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU Library General Public License as 
 *	published by the Free Software Foundation; either version 2, or 
 *	(at your option) any later version.
 * 
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU Library General Public License for more details.
 *
 *	You should have received a copy of the GNU Library General Public 
 *	License	along with this program; see the file COPYING.LGPL .  
 *	If not, write to the Free Software Foundation, 675 Mass Ave, 
 *	Cambridge, MA 02139, USA.
 *
 * ------------------------------------------------------------------------
 * 
*/

#include <aalib.h>
#include "ggi-dl.h"

#define MANSYNC_CHILD
#define MANSYNC_ISASYNC (((struct AAhooks *)VIS_PRIVATE(vis))->isasync)
#define MANSYNC_DOFLUSH _GGIdoflush(ahk)

#ifdef MANSYNC_CHILD
#define MANSYNC_CHILDPID (((struct AAhooks *)VIS_PRIVATE(vis))->syncpid)
#define MANSYNC_OLDHANDLER (((struct AAhooks *)VIS_PRIVATE(vis))->oldsynchandler)
#endif


struct AAhooks { 
	aa_context *context;
	aa_palette pal;
	int isasync;
#ifdef MANSYNC_CHILD
	int syncpid;
	void (*oldsynchandler) (int);
#endif
	int nocols;
	ggi_color *colormap;
};

#define AA_PRIV(vis) ((struct AAhooks *)VIS_PRIVATE(vis))
