/* 
 *      Copyright (C) 1998 Steve Cheng <steve@ggi-project.org>
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU Library General Public License as 
 *	published by the Free Software Foundation; either version 2, or 
 *	(at your option) any later version.
 * 
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU Library General Public License for more details.
 *
 *	You should have received a copy of the GNU Library General Public 
 *	License	along with this program; see the file COPYING.LGPL .  
 *	If not, write to the Free Software Foundation, 675 Mass Ave, 
 *	Cambridge, MA 02139, USA.
 */ 

struct TileHooks {
	int numvis;
	ggi_visual_t *vislist;
	ggi_coord *vis_origins;
	ggi_coord *vis_sizes;
	void *buf;
	void (*oldsynchandler) (int);
	int isasync;
	int syncpid;
	int flushlock;
	int xoff, yoff;
};

#define SYNCFPS		20
#define SYNCSIGNAL	SIGPROF
