/* 
 *  GWT GGI Windowing Toolkit
 *
 *  Copyright (C) 1998 
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _LIBGWT_H_
#define _LIBGWT_H_

#include <ggi/libggi.h>
#include <ggi/libggi_db.h>
#include <unistd.h>

#define GWT_WIDTH(vis) 		(ggiGetInfo(vis)->mode->visible.x)
#define GWT_HEIGHT(vis) 	(ggiGetInfo(vis)->mode->visible.y)
#define GWT_VISIBLE(vis) 	(ggiGetInfo(vis)->mode->visible)
#define GWT_VIRT(vis) 		(ggiGetInfo(vis)->mode->virt)
#define GWT_GT(vis) 		(ggiGetInfo(vis)->mode->graphtype)
#define GWT_GRAPHTYPE(vis) 	GWT_GT(vis)
#define GWT_MODE(vis) 		(ggiGetInfo(vis)->mode)

/* init.c */
int	gwtInit(void);
int	gwtExit(void);

#define GWT_TRUE	1
#define GWT_FALSE	0

#endif
